Returns a list of points per user including given address
curl --request GET \
--url https://api.yieldpoint.io/v1/leaderboard/{address}const options = {method: 'GET'};
fetch('https://api.yieldpoint.io/v1/leaderboard/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.yieldpoint.io/v1/leaderboard/{address}"
response = requests.get(url)
print(response.text)[
{
"rank": 123,
"user": "<string>",
"totalPoints": 123,
"dailyRate": 123,
"daysActive": 123,
"firstActivityDate": "<string>"
}
]Leaderboard
Returns a list of points per user including given address
GET
/
v1
/
leaderboard
/
{address}
Returns a list of points per user including given address
curl --request GET \
--url https://api.yieldpoint.io/v1/leaderboard/{address}const options = {method: 'GET'};
fetch('https://api.yieldpoint.io/v1/leaderboard/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.yieldpoint.io/v1/leaderboard/{address}"
response = requests.get(url)
print(response.text)[
{
"rank": 123,
"user": "<string>",
"totalPoints": 123,
"dailyRate": 123,
"daysActive": 123,
"firstActivityDate": "<string>"
}
]Path Parameters
The address of the user
Query Parameters
Season number. Defaults to current season.
Example:
1